cancel
Showing results for 
Search instead for 
Did you mean: 

Archicad 22 Crashes on Startup when OpenGL Requirements Are Not Met

Haris Matthaiou
Graphisoft
Graphisoft
wp-content_uploads_2019_07_opengl_logo.png

Affected version: Archicad 22 6001

Issue
Archicad 22 may crash upon launch with the Update 6001 if the graphics card driver does not support OpenGL 3.3 capabilities. Apart from users with limited physical graphics card support, this issue also affects users launching Archicad inside a virtualized environment like Windows Remote Desktop and Parallels.

Cause
Due to a performance issue with OpenGL that was affecting users who ran OpenGL 3.2 or older, we decided in Archicad 22 Update 6001 to be more strict with OpenGL 3.3 compliance. 

Solution
Fixed with Update 6021 FULL and 6022 SOLO releases.

Workaround
  • Please update your graphics card driver to the latest version and check whether the issue is resolved.
  • If Archicad is running inside a virtualized container, try running it in native mode.
  • Roll back to Archicad 5009 build by uninstalling Archicad , re-installing it and applying the 5009 Update.

Still looking?

Browse more articles

Back to articles

See latest solutions

Accepted solutions

Start a new discussion!